Subject: bug#51590: follow-mode is broken with header-line and tab-line

From: Juri Linkov <[email-masked]>
Date: Sun, 07 Nov 2021 21:56:50 +0200

>> Thanks, I tested it out, and everything works without a hitch:
>> with tab-line-format, or with header-line-format, or with both.
>
> That's great.  If it's OK with you, I will write a commit message,
> commit the change to the emacs-28 branch, then merge it to master.
>
> Thanks for spotting the problem with the header line; it's been there
> for a long time.

Fixing it on the emacs-28 branch would be great.  I hadn't realized
until now that some glitches in follow-mode were related to the
tab-line/header-line.  Thanks in advance for pushing the fix
to the emacs-28 branch.